Python drivers

Driver compatibility tables for Python drivers.

DataStax Python Driver for Apache Cassandra®

Icon legend

Icon

Description

iconFullyCompatible

Fully compatible

iconPartiallyCompatible

Partially compatible

iconIncompatible

Incompatible

New features and bug fixes are developed on the latest minor version of the driver, and users are encouraged to stay current with those minor releases. APIs are maintained stable according to semantic versioning conventions, and upgrades should be trivial.

Earlier versions of DataStax Cassandra drivers did not have full support of DSE features
Driver version Apache Cassandra version DataStax Enterprise version DataStax Astra

Version

3.0+

2.2

2.1

6.8

6.7

6.0

5.1

5.0

Cloud

3.22+

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

3.21

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconPartiallyCompatible 1

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

3.20

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconFullyCompatible

3.0+

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconIncompatible

2.6+

iconIncompatible

iconFullyCompatible

iconFullyCompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

2.1

iconIncompatible

iconPartiallyCompatible 2

iconFullyCompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

2.0 5

iconIncompatible

iconPartiallyCompatible 3

iconPartiallyCompatible 3

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconPartiallyCompatible 3

iconIncompatible

1.0 5

iconIncompatible

iconPartiallyCompatible 3

iconPartiallyCompatible 3

iconIncompatible

iconIncompatible

iconIncompatible

iconIncompatible

iconPartiallyCompatible 4

iconIncompatible

  1. Earlier versions of DataStax Cassandra drivers did not have full support of DSE features.

  2. Limited to the Cassandra 2.1 API.

  3. Limited to the Cassandra 2.0 API.

  4. Limited to the Cassandra 1.2 API.

  5. End of life.

DataStax Enterprise Python Driver

DSE driver functionality has been merged, and is now developed in the open source DataStax drivers above.
Driver version DataStax Enterprise version DataStax Astra

Version

6.8

6.7

6.0

5.1

5.0

Cloud

2.11+

iconPartiallyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

2.5+

iconPartiallyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconFullyCompatible

iconIncompatible

2.0+

iconPartiallyCompatible

iconPartiallyCompatible 1

iconPartiallyCompatible 1

iconFullyCompatible

iconFullyCompatible

iconIncompatible

1.0+

iconPartiallyCompatible

iconPartiallyCompatible 2

iconPartiallyCompatible 2

iconPartiallyCompatible 2

iconFullyCompatible

iconIncompatible

  1. Limited to DSE 5.1 API.

  2. Limited to DSE 5.0 API.